Dancer2::Core::Hook(3pm)

NAME
Dancer2::Core::Hook - Manipulate hooks with Dancer2

VERSION
version 2.1.0

SYNOPSIS
  # inside a plugin
  use Dancer2::Core::Hook;
  Dancer2::Core::Hook->register_hooks_name(qw/before_auth after_auth/);

METHODS

  register_hook ($hook_name, $code)
    hook 'before' => sub {...};

Attaches a hook at some point.

  register_hooks_name
Add a new hook name, so application developers can insert some code at this point.

    package My::Dancer2::Plugin;
    Dancer2::Core::Hook->instance->register_hooks_name(qw/before_auth after_auth/);

  execute_hook
Execute a hook

  get_hooks_for
Returns the list of coderef registered for a given position

  hook_is_registered
Test if a hook with this name has already been registered.

AUTHOR
Dancer Core Developers

COPYRIGHT AND LICENSE
This software is copyright (c) 2026 by Alexis Sukrieh.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.